Subject: [Ecrit] faux scalability

From: Andrew Newton <[email-masked]>
Date: Fri, 1 Sep 2006 16:25:09 -0400

As I stated before, I do not hold myself out as a security expert.   
However, it doesn't take much of a security expert to identify the  
security issue with the try-with-TLS-then-retry-without concept.

If an attacker wants to get the location data, they do not have to  
compromise the TLS session.  All they have to do is scuttle the TLS  
session.  That's easily enough done: interfere with the packets,  
randomly twiddling bits.  Once the client gives up on the TLS  
session, it will drop back to naked TCP, at which point the attacker  
just has to listen and they will receive the location information.

This sounds even easier than the classic SSL/TLS downgrade attack.

-andy 

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit